package com.embeddedmicro.examples;

import jssc.SerialPortException;

public class UsageExample {

	public static void main (String[] args){
		RegisterInterface reg = new RegisterInterface();
		if (!reg.connect("/dev/ttyACM0")) {
			System.err.print("Failed to connect!");
			System.exit(1);
		}
		try {
			reg.write(0, 0x12);
		} catch (SerialPortException e) {
			e.printStackTrace();
		} finally {
			try {
				reg.disconnect();
			} catch (SerialPortException e) {
				e.printStackTrace();
			}
		}
		
	}
}
